attr (1:2.5.2-4ubuntu0.1) resolute-security; urgency=medium

  * SECURITY UPDATE: Symlink Traversal
    - d/p/upstream/CVE-2026-54371-01-add-visibility-attribute-header.patch: Add
      visibility attribute header in include/Makemodule.am, include/visibility-
      hidden.h.
    - d/p/upstream/CVE-2026-54371-02-add-xattrat-syscall-wrappers.patch: Add
      xattrat syscall wrappers in configure.ac, include/Makemodule.am,
      include/xattrat.h, libmisc/Makemodule.am, libmisc/xattrat.c.
    - d/p/upstream/CVE-2026-54371-03-add-xattrat-syscall-backwards-
      compatibility-code.patch: Add xattrat syscall backwards compatibility code
      in include/Makemodule.am, include/xattrat_compat.h, libmisc/Makemodule.am,
      libmisc/getxattrat_compat.c, libmisc/listxattrat_compat.c, libmisc/proc-
      self-fd.c, libmisc/proc-self-fd.h, libmisc/removexattrat_compat.c,
      libmisc/setxattrat_compat.c.
    - d/p/upstream/CVE-2026-54371-04-rename-walk_tree-to-old_walk_tree.patch:
      Rename walk_tree to old_walk_tree in include/Makemodule.am,
      include/old_walk_tree.h, libmisc/Makemodule.am, libmisc/old_walk_tree.c,
      tools/getfattr.c.
    - d/p/upstream/CVE-2026-54371-05-add-the-new-walk_tree-helper.patch: Add the
      new walk_tree helper in include/Makemodule.am, include/walk_tree.h,
      libmisc/Makemodule.am, libmisc/walk_tree.c.
    - debian/patches/upstream/CVE-2026-54371-06-harden-getfattr.patch: harden
      getfattr in man/man1/getfattr.1, tools/getfattr.c,
      test/root/getfattr.test.
    - d/p/upstream/CVE-2026-54371-07-setfattr-multiple-restore-accesses-freed-
      buffer.patch: setfattr: multiple --restore accesses freed buffer in
      tools/setfattr.c.
    - d/p/upstream/CVE-2026-54371-08-setfattr-do-not-ignore-no-dereference-
      after-restore.patch: setfattr: Do not ignore --no-dereference after
      --restore in tools/setfattr.c.
    - d/p/upstream/CVE-2026-54371-09-add-openat2-syscall-wrapper.patch: Add
      openat2 syscall wrapper in configure.ac, include/Makemodule.am,
      include/openat2.h, libmisc/Makemodule.am, libmisc/openat2.c.
    - d/p/upstream/CVE-2026-54371-10-harden-setfattr-restore.patch: harden
      setfattr --restore in configure.ac, man/man1/setfattr.1,
      test/Makemodule.am, tools/setfattr.c, test/restore.test.
    - CVE-2026-54371

 -- John Breton <john.breton@canonical.com>  Sun, 23 Aug 2026 21:34:50 -0400

attr (1:2.5.2-4) unstable; urgency=medium

  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional», which is the current default.
  * Switch to debian/watch version 5.
  * Add spaces around make assignment operators to distinguish from shell ones.
  * Switch to Standards-Version 4.7.3 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 15 Feb 2026 14:26:01 +0100

attr (1:2.5.2-3) unstable; urgency=medium

  * Update upstream Dutch translation. Closes: #1065512
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
  * Switch to Standards-Version 4.7.1 (no changes needed).
  * Improve markup and editorial changes for setfattr(1).
    Thanks to Bjarni Ingi Gislason <bjarniig@simnet.is>. Closes: #1092503
  * Improve font selection markup in man pages.
  * Reorganize patches to clearly separate upstream from local ones.

 -- Guillem Jover <guillem@debian.org>  Fri, 21 Feb 2025 11:29:11 +0100

attr (1:2.5.2-2) unstable; urgency=medium

  * Drop backwards compatibility <attr/xattr.h> header, provided by libc
    implementations as <sys/xattr.h>. It's been more than 5 years, since
    upstream dropped that header, and we reintroduced it for backwards
    compatibility. The remaining users seem pretty abandoned, we'll just
    drop the header and let those handle the switch or meet their own fate.
  * Take patch from upstream to add include <libgen.h> header for basename(2)
    to fix build failure on musl systems. Closes: #1070123
  * Mention the origins of ENOATTR in man pages. Closes: #463119
  * Switch to Standards-Version 4.7.0 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sat, 12 Oct 2024 20:00:33 +0200

attr (1:2.5.2-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream patches included in this release.
    - Update upstream signing key.
    - Do not list no longer existing files in not-installed.

 -- Guillem Jover <guillem@debian.org>  Thu, 25 Jan 2024 04:28:26 +0100

attr (1:2.5.1-5) unstable; urgency=medium

  * Wrap fields in debian/tests/control.
  * Apply upstream patches first then local ones in the debian/patches/series.
  * Update manual page references from attr(5) to xattr(7).
  * Rework attr(1) manual page:
    - Fix formatting markup.
    - Use namespace instead of address space.
    - Update xattr namespaces used.
    - Make it clear the command is a legacy tool for compatibility with
      the IRIX command of the same name.
    - Mention that the initial intended filesystem was XFS, but can work
      with other filesystems.
    - Change reference to xfsdump() to reference to GNU tar xattr support.
    Closes: #1034439

 -- Guillem Jover <guillem@debian.org>  Mon, 25 Dec 2023 00:02:22 +0100

attr (1:2.5.1-4) unstable; urgency=medium

  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Do not trim debian/changelog.
  * Update debian/patches metadata.
  * Make globs in debhelper fragment files more specific.
  * Refresh upstream OpenPGP signing certificates.

 -- Guillem Jover <guillem@debian.org>  Tue, 17 Jan 2023 23:34:38 +0100

attr (1:2.5.1-3) unstable; urgency=medium

  * Fix copy&paste error in lintian-overrides.

 -- Guillem Jover <guillem@debian.org>  Sun, 04 Dec 2022 16:02:59 +0100

attr (1:2.5.1-2) unstable; urgency=medium

  * Switch to Standards-Version 4.6.1 (no changes needed).
  * Override lintian false positive for hardening-no-fortify-functions hint.
  * Update Forwarded field in patches.
  * Fix apostrophe usage in man pages.

 -- Guillem Jover <guillem@debian.org>  Sat, 03 Dec 2022 13:26:53 +0100

attr (1:2.5.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove upstream patches included in this release.
    - Refresh remaining patches.
    - Update upstream signing key.
  * Add support for the noudeb build profile.

 -- Guillem Jover <guillem@debian.org>  Sun, 29 Aug 2021 13:04:05 +0200

attr (1:2.4.48-6) unstable; urgency=medium

  * Update French translation. Closes: #942092
    Thanks to Jean-Pierre Giraud <jenapierregiraud75@free.fr>.
  * Switch to Standards-Version 4.5.1 (no changes needed).
  * Switch to debhelper compatibility level 13.
  * Do not pass --add-uedb to dh_makeshlibs, it is handled automatically now.
  * Add include/attr to debian/clean to fix building twice in a row.
  * Add Forwarded information to patches.
  * Install xattr.conf from the staged installation directory instead of the
    source directory.
  * Switch to the dh sequencer.
  * Add debian/upstream/metadata file.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Dec 2020 15:58:08 +0100

attr (1:2.4.48-5) unstable; urgency=medium

  * Switch to debhelper-compat (= 12) in Build-Depends from debian/compat.
  * Switch to Standards-Version 4.4.0 (no changes needed).
  * Update Dutch translation. Closes: #925922
    Thanks to Frans Spiesschaert <Frans.Spiesschaert@yucom.be>.
  * Fix attr(1) man page to remove the notion that it is XFS-specific.
    Closes: #883661
  * Fix man pages to stop using mdoc specific macros.
  * Fix cross-compilation for musl-based systems by bumping the minimum
    required gettext version to the one that stopped checking for internal
    GNU gettext symbols, which musl does not provide.

 -- Guillem Jover <guillem@debian.org>  Tue, 24 Sep 2019 04:17:57 +0200

attr (1:2.4.48-4) unstable; urgency=medium

  * Replace gettext with autopoint in autopkgtest Depends fields.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 23:03:21 +0100

attr (1:2.4.48-3) unstable; urgency=medium

  * Run «autoreconf -f -i» in autopkgtests to handle modified build system
    sources due to patching, triggering regeneration of the build system,
    and failing because the exact tool versions are not available.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 13:38:28 +0100

attr (1:2.4.48-2) unstable; urgency=medium

  * Run upstream test suite separately from the build, so that we can ignore
    just the test suite errors. This was in practice not a problem as we then
    call the install target, so we'd catch errors later on, but still wrong.
  * Remove now unnecessary debian/clean file.
  * Fix silent and verbose builds:
    - Only pass VERBOSE=1 to the check target where it is relevant.
    - Pass --disable-silent-rules to configure only when terse is not present.
  * Remove spurious escaped newline in «make install».
  * Uniformize assignment of --build and --host options for configure.
  * Reorder .PHONY entries.
  * Add minimally required build dependencies to autopkgtest Depends fields.
  * Rename attr-autoconf-version-check.patch to
    build-require-autoconf-version.patch and improve its description fields.

 -- Guillem Jover <guillem@debian.org>  Fri, 01 Mar 2019 01:26:21 +0100

attr (1:2.4.48-1) unstable; urgency=medium

  * New upstream release.
    - Add upstream signing key, and modify debian/watch file to fetch and
      check orig tarball signatures.
    - Refresh patches:
      + 00-no-debian-Makefile.patch: Remove, fixed upstream.
      + 01-configure.in.patch: Ditto.
      + 02-687531-fix-missing-ldflags.patch: Ditto.
      + 15-test-perl-warning.patch: Update, rename to test-perl-warning.patch.
      + 12-643587-attr-autoconf-version-check.patch: Update, rename to
        attr-autoconf-version-check.patch.
    - Make the syscall wrappers be Linux-specific again.
      + syscalls-linux.patch: New patch.
    - Upstream removed the <attr/xattr.h> header, put a compat header back
      that uses <sys/xattr.h> for the heavy lifting. Closes: #782428
      + compat-xattr-header.patch: New patch.
    - Pull patches from upstream git master:
      + 0001-test-escape-left-brace-in-a-regex-in-test-run.patch
      + 0002-man-fix-bold-style-in-SEE-ALSO-section.patch
      + 0003-man-standardize-AUTHORS-section.patch
      + 0004-Enable-large-file-support-on-systems-that-do-not-ena.patch
      + 0005-getfattr.1-by-default-only-user-namespace-attributes.patch
      + 0006-attr_list.3-Fix-the-attributes.h-include-path.patch
      + 0007-Switch-back-to-syscall.patch
      + 0008-attr_multi-attr_multif-Don-t-set-errno-to-EINVAL.patch
      + 0009-attr_list-attr_listf-Guard-against-unterminated-buff.patch
    - Update attr_copy_action in symbols file for newly assigned version node.
    - Update minimum version for shlibs file.
    - Update debian/rules to handle the modernized upstream build system.
    - Update autopkgtests to handle the modernized upstream build system.
    - Update debian/copyright file.
    - The package should build now on musl. Closes: #782830
  * Include new pkg-config file.
  * Include /etc/xattr.conf in shared library package, required by
    attr_copy_action() function.
  * Add Build-Depends-Package field to the symbols file.
  * Enable all hardening build flags.
  * Remove Multi-Arch fields from udeb packages.
  * Mark autopkgtest tests as flaky instead of superficial, they do not cope
    well with the Debian buildd environment.
  * Add build-essential to autopkgtest Depends fields.
  * Remove trailing whitespace and blank lines from debian/copyright.
  * Fix several typos in the man pages.

 -- Guillem Jover <guillem@debian.org>  Thu, 28 Feb 2019 03:55:50 +0100

attr (1:2.4.47-4) unstable; urgency=medium

  * Restrict xattr syscall symbols as arch=linux-any. This fixes the builds
    on non-Linux systems.
  * Reorganize binary package fields.
  * Do not install unnecessary or repeated internal documentation.
  * Fix upstream test suite:
    - Fix perl warning due to deprecated regex construct.
    - Remove bogus @ from shell subcommand in Makefile.
  * Hook the upstream test suite into both the package build and autopkgtest.
    For now ignore failures, and mark it as superficial.

 -- Guillem Jover <guillem@debian.org>  Sat, 16 Feb 2019 02:42:20 +0100

attr (1:2.4.47-3) unstable; urgency=medium

  * Salvage package, with ok from co-maintainer.
    Thanks for all their past work on this package. Closes: #921975
  * Remove debian/Makefile and debian/configure.ac leftovers.
    - Add patch to avoid upstream Makefile entering the debian/ directory.
  * Update upstream URL (working and https) in debian/watch file.
  * Update debian/watch to format version 4.
  * Line-wrap and add a trailing comma to dependency field values.
  * Update Homepage field URL to use https.
  * Update debian/copyright:
    - Remove original packaging information, present in the changelog.
    - Switch to machine parseable format 1.0.
    - Update copyright statements.
  * Remove ancient Conflicts against xfsdump and attr.
  * Remove obsolete Priority extra.
  * Remove Priority required from shared library package.
  * Cleanup debian/rules:
    - Use $(CURDIR) instead of `pwd`.
    - Remove phase prints and comment out DH_VERBOSE, make it verbose enough.
    - Use dpkg architecture.mk fragment instead of ad-hoc variable assignment.
    - Use dh_testdir instead of open-coding it.
    - Use dh_testroot instead of open-coding it.
    - Use dh_clean instead of ad-hoc cleaning, and remove upstream
      configure.lineno in debian/clean. Closes: #867266
    - Do not create an upstream source tarball distribution.
    - Remove unused stdenv variable.
    - Use dh_install, dh_installdocs, dh_installman and dh_link instead of
      calling the upstream build system multiple times to install into the
      package dirs.
    - Rename LOCAL_CONFIGURE_OPTIONS to confflags.
    - Set configure flags properly for cross-building.
  * Switch to debhelper compatibility level 11.
  * Set Rules-Requires-Root to no, and stop setting INSTALL_USER and
    INSTALL_GROUP, as the build system will default to the current user.
  * Switch to Standards-Version 4.3.0.
  * Stop installing man pages from section 2 and 5, those are maintained by
    the manpages upstream project. Closes: #841719
  * Add a shared library symbols file. Closes: #677566
    Thanks to Ivo De Decker <ivo.dedecker@ugent.be>.
  * Improve a bit the package descriptions.
  * Remove ancient versioned dpkg-dev Build-Depends.
  * Perform a proper and correct /usr-merge transition by moving the package
    contents from / to /usr.

 -- Guillem Jover <guillem@debian.org>  Tue, 12 Feb 2019 03:42:45 +0100

attr (1:2.4.47-2) unstable; urgency=medium

  * Standards-Version: 3.9.5.
  * Remove Luk Claes as uploader.
    Closes: #748493.
  * Add attr-udeb and libattr1-udeb binary packages, for use by
    live-installer to copy extended attributes.
    Patch by Colin Watson.
    Closes: #744037.
  * Omit Vcs-* fields.
    Closes: #744028.
  * Use default compression for binary packages.
  * Refresh patches.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 08 Sep 2014 08:27:07 +0100

attr (1:2.4.47-1) unstable; urgency=low

  * New upstream release 2.4.47
    Fix "getfattr should indicate missing xattrs via exit value"
    Closes: #520659
  * Update debian/rules
    Upstream renamed build/ to package/
  * Upstream renamed configure.in to configure.ac and didn't ship it.
    Add 01-configure.in.patch
  * Fix missing ldflags
    Add 02-687531-fix-missing-ldflags.patch
    Patch by Simon Ruderich
    Closes: #687531

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 20 May 2013 19:07:56 +1000

attr (1:2.4.46-8) unstable; urgency=low

  * Enable hardening build flags
    Closes: #674003
  * DH compatibility level is 9

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 13 Jun 2012 17:52:45 +1000

attr (1:2.4.46-7) unstable; urgency=low

  * Build-depend on gettext. If it build-depends on gettext:any,
    the auto-builders stop with the message below.
    Dependency installability problem for attr on armel, armhf, hurd-i386,
    kfreebsd-amd64, kfreebsd-i386, mips, powerpc, s390, s390x and sparc:
    attr (= 1:2.4.46-6) build-depends on missing:
    - not-existing-build-dependency-for-any

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 May 2012 17:35:17 +1000

attr (1:2.4.46-6) unstable; urgency=low

  * Merge 1:2.4.46-5ubuntu1
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.
  * Use /bin/sh as CONFIG_SHELL in debian/rules
    Closes: #671903
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 10 May 2012 13:21:50 +1000

attr (1:2.4.46-5ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - Build-depend on gettext:any, since we only need it to run tools at
      build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Dec 2011 19:49:26 -0800

attr (1:2.4.46-5) unstable; urgency=low

  * Add Debian epoch version to shlibs dependency.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 22:04:54 +1100

attr (1:2.4.46-4) unstable; urgency=low

  * Mark libattr1-dev Multi-Arch: same
    Patch by Steve Langasek
    Closes: 647855
  * Build if autconf2.13 is installed
    Add 12-643587-attr-autoconf-version-check.patch
    Patch by Wookey
    Closes: 643587

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 03 Dec 2011 21:25:23 +1100

attr (1:2.4.46-3ubuntu1) precise; urgency=low

  * Build-depend on gettext:any, since we only need it to run tools at
    build-time.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 05 Nov 2011 17:34:57 +0000

attr (1:2.4.46-3) unstable; urgency=medium

  * libattr1: Don't pass "-Zbzip2 -z9" to dpkg-deb
    Closes: 634090
  * Don't ship .la files

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 17 Jul 2011 12:19:48 +1000

attr (1:2.4.46-2) unstable; urgency=low

  * Append 'libattr 1 libattr1 (>= 2.4.46-2)' to
    debian/libattr1/DEBIAN/shlibs
  * Remove debian/{attr,libattr1,libattr1-dev}.debhelper.log
  * Set standards-version to 3.9.2
  * Pass "-Zbzip2 -z9" to dpkg-deb
  * Fix debian-rules-missing-recommended-target

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 04 Jul 2011 21:29:12 +1000

attr (1:2.4.46-1) unstable; urgency=low

  * New upstream release (Closes: #626622).
  - All patches are incorporated upstream.
  * Add multiarch support (Closes: #528141).

 -- Luk Claes <luk@debian.org>  Fri, 24 Jun 2011 07:37:19 +0200

attr (1:2.4.44-3) unstable; urgency=medium

  * Add myself as comaintainer
  * Use bash in build process (Closes: #621927)
  * Pass host & build to allow cross builds to succeed (Closes: #284044)

 -- Luk Claes <luk@debian.org>  Sat, 28 May 2011 15:48:08 +0200

attr (1:2.4.44-2) unstable; urgency=low

  * Source format is 3.0 (quilt)
  * Add upstream patches
    02-fix_memory_leak_in_attr_copy_action.patch
    03-pull_in_string.h.patch
    05-eliminate_a_memory_leak.patch
    06-eliminate_a_double_free.patch
    07-fix_thinko_in_restore.patch
  * Fix debhelper-but-no-misc-depends
  * Fix out-of-date-standards-version

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 08 Jun 2010 13:58:30 +1000

attr (1:2.4.44-1) unstable; urgency=low

  * New upstream release
  * Fix out-of-date-standards-version
  * Fix copyright-refers-to-versionless-license-file
  * Update homepage in debian/control
  * Add Vcs-Git and Vcs-Browser to debian/control
  * Update download page in debian/copyright
  * Update debian/watch
  * Add automake as a build-dependency

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 25 Aug 2009 11:23:53 +1000

attr (1:2.4.43-3) unstable; urgency=low

  [ Cyril Brulebois ]
  * Backport the following fix by Petr Salinger from upstream to fix
    FTBFS on GNU/kFreeBSD (Closes: #531950): [git commit b4636a4e9e]
    On Linux, ENOATTR aliases to ENODATA. On other operating systems
    like Irix and BSD*, ENOATTR is a separate error number. Therefore,
    protect the check on “err == ENODATA” with “#ifdef __linux__” in
    strerror_ea() in both getfattr/getfattr.c and setfattr/setfattr.c

  [ Anibal Monsalve Salazar ]
  * Standards version is 3.8.2
  * DH compatibility level is 7
  * Fix "incorrect-libdir-in-la-file usr/lib/libattr.la /lib != /usr/lib"

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 27 Jun 2009 00:29:24 +1000

attr (1:2.4.43-2) unstable; urgency=high

  * Remove --enable-lib64=yes in Makefile (closes: #514017)

 -- Anibal Monsalve Salazar <anibal@debian.org>  Tue, 10 Feb 2009 20:32:30 +1100

attr (1:2.4.43-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Standards version is 3.8.0

 -- Anibal Monsalve Salazar <anibal@debian.org>  Thu, 03 Jul 2008 13:49:43 +1000

attr (1:2.4.41-1) unstable; urgency=low

  * New upstream release
  * Add myself to Uploaders
  * Remove /usr/share/doc/attr (closes: #405106, #445903)
  * Bump dependency of attr to libattr1 (>= 2.4.41), might be too high but
    good enough. (closes: #377700)
  * Upstream closed bugs:
     Manpage updated (closes: #446877)
  * Closing old bugs:
     2.4.36: (closes: #299095)
  * Bump Standards Versions, no changes were needed.
  * Bump DH_COMPAT.

 -- Niv Sardi <xaiki@debian.org>  Mon, 11 Feb 2008 17:45:43 +1100

attr (1:2.4.39-1) unstable; urgency=low

  * New upstream release
  * debian/control:
    - Added homepage
    - Added myself as comaintainer
    - Set Standards-Version to 3.7.2
    - libattr1-dev depends on libattr1 (= ${binary:Version})
    - attr and libattr1 depend on ${misc:Depends}
  * debian/watch: Added
  * include/buildrules: Drop --omit-header from xgettext call, so that the
    generated POT file becomes valid.
  * debian/rules: Rebuild POT file so that Ubuntu's Rosetta can always
    import an up to date version.

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sun, 16 Sep 2007 09:14:11 +1000

attr (2.4.36-1) unstable; urgency=high

  * New upstream release
  * Reinstate xattr syscall entry points (closes: #403585)
  * Fix ARM EABI issue differently, thanks to Lennert Buytenhek.

 -- Nathan Scott <nathans@debian.org>  Tue, 19 Dec 2006 09:46:05 +1100

attr (2.4.35-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 08 Dec 2006 14:12:25 +1100

attr (2.4.33-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 03 Jul 2006 10:08:43 +1000

attr (1:2.4.32-1.2) unstable; urgency=low

  * Non-maintainer upload (porter NMU).
  * add armel support, Closes: #421627
  * fix kfreebsd build, Closes: #414232

 -- Riku Voipio <riku.voipio@iki.fi>  Wed, 25 Jul 2007 23:33:58 +0300

attr (1:2.4.32-1.1) unstable; urgency=emergency

  * Non-maintainer upload.
  * Reupload previous version and fix breackage of ls -la, cp -a and other
    essential utilities.
    Closes: #403601, #403592, #403585, #403590, #403599 and probably more.

 -- Andreas Barth <aba@not.so.argh.org>  Mon, 18 Dec 2006 13:42:31 +0000

attr (2.4.32-1) unstable; urgency=low

  * New upstream release
  * Fixed build dependency on libc-dev (closes: #358786)

 -- Nathan Scott <nathans@debian.org>  Tue, 28 Mar 2006 09:14:25 +1100

attr (2.4.31-1) unstable; urgency=low

  * New upstream release
  * Updated Polish translation.
  * Initial Swedish translation (closes: #349234)
  * Switched from debmake to debhelper.
  * Build updates for GNU/Hurd (closes: #299095)

 -- Nathan Scott <nathans@debian.org>  Wed, 22 Feb 2006 13:14:24 +1100

attr (2.4.25-1) unstable; urgency=low

  * New upstream release
  * Added French translation (closes: #333177)

 -- Nathan Scott <nathans@debian.org>  Tue, 11 Oct 2005 06:47:13 +1000

attr (2.4.21-1) unstable; urgency=low

  * New upstream release
  * Replace use of _POSIX_PATH_MAX with PATH_MAX (see bug 292819)

 -- Nathan Scott <nathans@debian.org>  Mon, 31 Jan 2005 20:13:02 +1100

attr (2.4.20-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 30 Nov 2004 15:28:15 +1100

attr (2.4.18-1) unstable; urgency=low

  * New upstream release
  * Added Dutch language translation from Luk Claes (closes: #272482)

 -- Nathan Scott <nathans@debian.org>  Tue, 21 Sep 2004 10:38:28 +1000

attr (2.4.16-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Wed, 21 Apr 2004 08:54:29 +1000

attr (2.4.15-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 02 Feb 2004 12:36:53 +1100

attr (2.4.12-1) unstable; urgency=low

  * New upstream release
  * Fix GNU/Hurd build issues, thanks to Robert Millan (closes: #215154)

 -- Nathan Scott <nathans@debian.org>  Mon, 13 Oct 2003 13:02:58 +1000

attr (2.4.8-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 04 Aug 2003 09:18:00 +1000

attr (2.4.7-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Jul 2003 11:09:50 +1000

attr (2.4.5-1) unstable; urgency=low

  * New upstream release
  * Removed the need to always run msgmerge during the build

 -- Nathan Scott <nathans@debian.org>  Thu, 03 Jul 2003 12:47:44 +1000

attr (2.4.4-1) unstable; urgency=low

  * New upstream release
  * Fix lib package dependencies, thanks to Steve Langasek (closes: #196046)

 -- Nathan Scott <nathans@debian.org>  Wed, 04 Jun 2003 15:50:50 +1000

attr (2.4.3-1) unstable; urgency=low

  * New upstream release
  * Note: COMPAT_XFSROOT environment variable is no longer needed

 -- Nathan Scott <nathans@debian.org>  Sat, 26 Apr 2003 04:36:01 +1000

attr (2.4.0-1) unstable; urgency=low

  * New upstream release
  * Updated policy version to which this package conforms
  * Note: xfsdump and xfsrestore are affected by a change in libattr
    which deprecates the attribute name prefix "xfsroot", replacing
    it with the generic "trusted" name -- the environment variable
    COMPAT_XFSROOT can be used to obtain the old behavior

 -- Nathan Scott <nathans@debian.org>  Wed, 26 Feb 2003 16:07:57 +1100

attr (2.2.0-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Sat, 30 Nov 2002 12:23:15 +1100

attr (2.1.1-1) unstable; urgency=low

  * Fix the group for libattr1, was "utils" now "libs" (closes: #166836)

 -- Nathan Scott <nathans@debian.org>  Tue, 29 Oct 2002 09:29:52 +1100

attr (2.1.0-1) unstable; urgency=low

  * New upstream release, changing dev package name (closes: #141755)

 -- Nathan Scott <nathans@debian.org>  Sat, 19 Oct 2002 08:40:38 +1000

attr (2.0.12-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon,  7 Oct 2002 05:41:55 +1000

attr (2.0.11-1) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Thu,  5 Sep 2002 09:12:02 +1000

attr (2.0.9-1) unstable; urgency=low

  * New upstream release (mainly build-related changes)
  * Added system call numbers for the Alpha architecture

 -- Nathan Scott <nathans@debian.org>  Thu,  4 Jul 2002 12:10:38 +1000

attr (2.0.8-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Mon, 22 Apr 2002 15:04:53 +1000

attr (2.0.7-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Sat, 13 Apr 2002 09:45:06 +1000

attr (2.0.6-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Mar 2002 15:13:49 +1100

attr (2.0.5-1) unstable; urgency=low

  * New upstream bugfix release

 -- Nathan Scott <nathans@debian.org>  Tue, 12 Mar 2002 09:31:30 +1100

attr (2.0.3-1) unstable; urgency=low

  * Major new upstream release
  * Uses the new official ext2/ext3/XFS extended attributes interfaces
  * Several system call changes - THIS WILL NOT WORK WITH OLD KERNELS!
    (because old kernels use unreserved, unofficial system calls)
  * Introduction of a new package (libattr) requested by ACL upstream
    for new POSIX ACL packages; this is in addition to the existing
    attr and attr-dev packages this source generates

 -- Nathan Scott <nathans@debian.org>  Tue, 26 Feb 2002 13:25:26 +1100

attr (1.1.3-0) unstable; urgency=low

  * New release to fix system call issue on PowerPC

 -- Nathan Scott <nathans@debian.org>  Fri,  3 Aug 2001 11:06:55 +1000

attr (1.1.2-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Fri, 27 Jul 2001 07:59:49 +1000

attr (1.1.1-0) unstable; urgency=low

  * New upstream release

 -- Nathan Scott <nathans@debian.org>  Mon, 23 Jul 2001 10:27:37 +1000

attr (1.1.0-0) unstable; urgency=low

  * Reworked package slightly so that its not Debian native
  * Debian-specific changes now documented in changelog.Debian.gz
  * New upstream release (see /usr/share/doc/attr/changelog.gz)
  * Checked standards compliance - update standards version to 3.5.5

 -- Nathan Scott <nathans@debian.org>  Mon, 16 Jul 2001 18:14:56 +1000

attr (1.0.4) unstable; urgency=low

  * Work around syscall number collision on recent ia64 kernels

 -- Nathan Scott <nathans@debian.org>  Mon,  2 Jul 2001 13:02:02 +1000

attr (1.0.3) unstable; urgency=low

  * Updates to man pages.

 -- Nathan Scott <nathans@debian.org>  Fri, 18 May 2001 15:47:54 +1000

attr (1.0.2) unstable; urgency=low

  * Initial release.

 -- Nathan Scott <nathans@debian.org>  Wed, 25 Apr 2001 12:19:15 +1000
